Post EndUserFile V2
curl --request POST \
--url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/files/v2 \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-key: <api-key>' \
--form file='@example-file' \
--form 'file_class=<string>' \
--form 'reference_id=<string>'import requests
url = "https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/files/v2"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"file_class": "<string>",
"reference_id": "<string>"
}
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('file_class', '<string>');
form.append('reference_id', '<string>');
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
options.body = form;
fetch('https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/files/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bank_statement": null,
"created": "2023-11-07T05:31:56Z",
"email": null,
"file_class": "<string>",
"file_source_metadata": {},
"filename": "<string>",
"heron_id": "<string>",
"iso_application": {
"heron_id": "iso_6hBjQT9k6KP2rLCXwjUJff",
"processing_status": "processed"
},
"num_pages": 123,
"page_classes": {},
"parent_heron_id": "<string>",
"parsed_results": [],
"processing_error": "<string>",
"reference_id": "<string>",
"renamed_filename": "<string>"
}EndUserFiles
Post EndUserFile V2
Upload file to an end user & asynchronously classify its type. After uploading, call the /start_workflow endpoint to trigger downstream processing (parsing, bank statement extraction, etc.).
POST
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
files
/
v2
Post EndUserFile V2
Authorizations
Path Parameters
Body
multipart/form-data
The file to upload
(Optional) - The type of file. Common values: bank_statement, iso_application_form, debt_summary, void_check, invoice, pnl_statement, balance_sheet, tax_return, money_market_statement. Contact Heron support for the full list of file classes available for your account.
Your reference id for the file
Response
201 - application/json
OK
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I